D4Science Infrastructure - Task #12927

Thredds WMS AquaMaps configuration
Nov 21, 2018 07:06 PM - Fabio Sinibaldi

Status: Closed Start date: Nov 21, 2018
Priority: Normal Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Automated provisioning Estimated time: 0.00 hour
Target version: UnSprintable
Infrastructure: Development, Pre-Production,

Production
Description

We need to modify provisioning tasks in order to satisfy some AquaMaps custom WMS configuration. The following operations need
to be performed :

1. Edit the file ""/wmsConfig.xml (as in provided example attachment): The following xml snippet must be inserted as last child of
element "wmsConfig/overrides" if not already present. <datasetPath pathSpec="public/netcdf/AquaMaps*/*.nc">
<pathDefaults> <defaultColorScaleRange>0 1</defaultColorScaleRange>
<defaultPaletteName>aquamaps</defaultPaletteName> <defaultNumColorBands>5</defaultNumColorBands>
</pathDefaults>  </datasetPath>

2. Unzip the archive in attachment into folder /customPalettes

3. Edit the file ""/threddsConfig.xml : The following snippet must be inserted as last child of "threddsConfig/WMS"
<paletteLocationDir>customPalettes</paletteLocationDir>

History

#1 - Nov 21, 2018 07:08 PM - Fabio Sinibaldi
- Description updated

#2 - Nov 22, 2018 06:39 PM - Fabio Sinibaldi
The archive has been stored in Workspace :

e path : VRE Folders/gCube/Configuration files/THREDDS 4.6/customPalettes.tar.gz
e public link : https://goo.gl/xjeBnd

#3 - Dec 05, 2018 04:41 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#4 - Dec 05, 2018 07:05 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The changes have been applied.

#5 - Dec 06, 2018 03:28 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed

The templates now reflect the manual changes of the thredds config files.
The mixed content problems cannot be solved immediately, so | guess this ticket can be closed.

Files
wmsConfig.xml 3.08 KB Nov 21, 2018 Fabio Sinibaldi
customPalettes.tar.gz 2.88 KB Nov 21, 2018 Fabio Sinibaldi
